## python-project-generator-definitions 0.2.42

=== tests/requirements.txt ===
coverage
coveralls

## python-project-generator-definitions 0.2.38

=== debian/changelog ===
python-project-generator-definitions (0.2.38-1) unstable; urgency=medium

  * Initial release (Closes: #913924)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Fri, 28 Dec 2018 23:21:50 +0000

=== debian/control ===
Source: python-project-generator-definitions
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Nick Morrott <knowledgejunkie@gmail.com>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 pandoc,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-xmltodict,
 python3-yaml,
Standards-Version: 4.3.0
Homepage: https://github.com/project-generator/project_generator_definitions
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-project-generator-definitions
Vcs-Git: https://salsa.debian.org/python-team/modules/python-project-generator-definitions.git

Package: python3-project-generator-definitions
Architecture: all
Depends:
 python3,
 python3-xmltodict,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: collection of target/MCU definitions for python-project-generator
 This package provides target and MCU definitions for use with the `progen`
 tool (package: python3-project-generator)
 .
 The definitions provided in this package are used to set proper data for
 embedded tools supported by `progen`. New definitions can be created using
 the `progendef` helper script included in this package.
 .
 This package installs the library and `progendef` helper script for Python 3.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
      https://github.com/project-generator/project_generator_definitions/tags .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-project-generator-definitions 0.2.40

=== debian/changelog ===
python-project-generator-definitions (0.2.40-1) unstable; urgency=medium

  * New upstream version 0.2.40
  * d/control:
    - Reformat (cme fix)
  * d/manpages:
    - Refresh year in custom manpage
  * d/u/metadata:
    - Remove deprecated Contact, Name fields
  * d/watch:
    - Refresh URL matching regex

 -- Nick Morrott <nickm@debian.org>  Sat, 30 Nov 2019 18:34:15 +0000

python-project-generator-definitions (0.2.39-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Nick Morrott ]
  * New upstream version 0.2.39
  * d/control:
    - Bump debhelper compatibility level to 12
    - Add Rules-Requires-Root field
    - Uploaders: use my new Debian email address
  * d/copyright:
    - Refresh years of Debian copyright
  * d/gbp.conf
    - Use pristine-tar

 -- Nick Morrott <nickm@debian.org>  Sat, 09 Nov 2019 21:24:07 +0000

=== debian/control ===
Source: python-project-generator-definitions
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nick Morrott <nickm@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pandoc,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-xmltodict,
               python3-yaml
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-project-generator-definitions
Vcs-Git: https://salsa.debian.org/python-team/modules/python-project-generator-definitions.git
Homepage: https://github.com/project-generator/project_generator_definitions
Rules-Requires-Root: no

Package: python3-project-generator-definitions
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: collection of target/MCU definitions for python-project-generator
 This package provides target and MCU definitions for use with the `progen`
 tool (package: python3-project-generator)
 .
 The definitions provided in this package are used to set proper data for
 embedded tools supported by `progen`. New definitions can be created using
 the `progendef` helper script included in this package.
 .
 This package installs the library and `progendef` helper script for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_ALWAYS_EXCLUDE=__pycache__

export DH_VERBOSE=1
export PYBUILD_VERBOSE=1

export LANG=C.UTF-8
export LC_ALL=C.UTF-8

export PYBUILD_NAME=project_generator_definitions

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# build custom manpage
	@echo DEB_VERSION_UPSTREAM $(DEB_VERSION_UPSTREAM)
	sed -e "s/__VERSION__/$(DEB_VERSION_UPSTREAM)/g" \
				< debian/progendef.1.md.in > debian/progendef.1.md
	pandoc debian/progendef.1.md -s -f markdown -t man -o debian/progendef.1

=== debian/tests/control ===
Tests: python3-project-generator-definitions
Depends: @builddeps@, @,

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
      https://github.com/project-generator/project_generator_definitions/tags .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@$

## python-project-generator-definitions 0.2.42

=== debian/changelog ===
python-project-generator-definitions (0.2.42-1) unstable; urgency=medium

  * New upstream version 0.2.42
  * d/copyright:
    - Refresh upstream contact email address

 -- Nick Morrott <nickm@debian.org>  Sun, 07 Feb 2021 03:29:49 +0000

python-project-generator-definitions (0.2.41-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control:
    - Update Maintainer field with new Debian Python Team contact address.
    - Update Vcs-* fields with new Debian Python Team Salsa layout.

  [ Nick Morrott ]
  * New upstream version 0.2.41
  * d/control:
    - Declare compliance with Debian Policy 4.5.1
  * d/copyright:
    - Refresh Debian copyright years
  * d/s/lintian-overrides:
    - Add override

 -- Nick Morrott <nickm@debian.org>  Sun, 03 Jan 2021 05:54:40 +0000

python-project-generator-definitions (0.2.40-3) unstable; urgency=medium

  * d/manpages:
    - Update author email address
    - Improve formatting of custom manpage
  * d/patches:
    - Set Forwarded: not-needed for Debian-specific patch

 -- Nick Morrott <nickm@debian.org>  Fri, 31 Jul 2020 21:05:29 +0100

python-project-generator-definitions (0.2.40-2) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat level to 13
    - Refresh short description to reference progen utility
  * d/copyright:
    - Refresh years of Debian copyright
  * d/tests:
    - Run autopkgtests against supported Python versions

 -- Nick Morrott <nickm@debian.org>  Fri, 19 Jun 2020 02:16:40 +0100

=== debian/control ===
Source: python-project-generator-definitions
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nick Morrott <nickm@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pandoc,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-xmltodict,
               python3-yaml
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-project-generator-definitions
Vcs-Git: https://salsa.debian.org/python-team/packages/python-project-generator-definitions.git
Homepage: https://github.com/project-generator/project_generator_definitions
Rules-Requires-Root: no

Package: python3-project-generator-definitions
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: collection of target/MCU definitions for progen
 This package provides target and MCU definitions for use with the `progen`
 tool (package: python3-project-generator)
 .
 The definitions provided in this package are used to set proper data for
 embedded tools supported by `progen`. New definitions can be created using
 the `progendef` helper script included in this package.
 .
 This package installs the library and `progendef` helper script for Python 3.

## python-project-generator-definitions 0.2.43

=== debian/changelog ===
python-project-generator-definitions (0.2.43-1) unstable; urgency=medium

  * New upstream version 0.2.43
  * d/control:
    - Update standards version to 4.6.0, no changes needed.
  * d/copyright:
    - Refresh years of Debian copyright
  * d/salsa-ci.yml:
    - Add Salsa CI pipeline
  * d/t/control:
    - Add python3-all to test dependencies
  * d/watch:
    - Update pattern for GitHub archive URLs

 -- Nick Morrott <nickm@debian.org>  Sat, 05 Feb 2022 13:41:04 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-xmltodict,
                python3-yaml
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-project-generator-definitions
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-project-generator-definitions.git
 Homepage: https://github.com/project-generator/project_generator_definitions

## python-project-generator-definitions 0.2.45

=== debian/changelog ===
python-project-generator-definitions (0.2.45-1) unstable; urgency=medium

  * New upstream version 0.2.45
  * d/copyright:
    - Drop filtering of .travis.yml (removed upstream)

 -- Nick Morrott <nickm@debian.org>  Tue, 05 Apr 2022 21:44:20 +0100

python-project-generator-definitions (0.2.44-1) unstable; urgency=medium

  * New upstream version 0.2.44

 -- Nick Morrott <nickm@debian.org>  Thu, 17 Mar 2022 16:50:37 +0000

## python-project-generator-definitions 0.2.46

=== debian/changelog ===
python-project-generator-definitions (0.2.46-1) unstable; urgency=medium

  * New upstream version 0.2.46
  * d/control:
    - Declare compliance with Debian Policy 4.6.2 (no changes)
  * d/copyright:
    - Bump years of Debian copyright
  * d/lintian-overrides:
    - Refresh override strings to match
  * d/clean:
    - Remove pandoc generated manpage files

 -- Nick Morrott <nickm@debian.org>  Mon, 05 Feb 2024 02:08:51 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-xmltodict,
                python3-yaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-project-generator-definitions
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-project-generator-definitions.git
 Homepage: https://github.com/project-generator/project_generator_definitions

=== debian/tests/control ===
Tests: python3-project-generator-definitions
Depends: @builddeps@, @, python3-all

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% https://github.com/project-generator/project_generator_definitions/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@$
